commit:     06fc9b885d8b1166e1d364897ceea6c992213fee
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 12 06:43:33 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jan 12 09:17:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06fc9b88

dev-python/setuptools: Bump to 45.0.0 (py3 only)

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-45.0.0.ebuild | 66 ++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 2141333faca..d2679b19cfb 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
 DIST setuptools-40.6.3.zip 839328 BLAKE2B 
ddc87213439ce2ad96ba54218bd5b3e41a7c31d670bddb9e4ea058b8ee7dffbe6fcb0e5fd24baf3fb38f5e824fde36aa8dc1e09d7ac37f9375ee351406389cd6
 SHA512 
6c628b8fc67645bca96ddcd016ec9a685e91690bf98dff077e842cfbd0d8d24de76ac51b3ff238d31551a48819d8f694fee6e9bb422ca954e54c22b4bda0038c
 DIST setuptools-42.0.2.zip 858444 BLAKE2B 
2b77dbeeb9a3b4138810a96fe7ac0a7800717b4b68d6e9db2d146ca176127d5bfd5e4ef07adfa98758f8c4d05396152ca08e1707caf3d91703c7b268bd291f28
 SHA512 
ab623fd69b92111d3ab19a3ad9de9c07b4316f4130f3db4068a436d3c13c971d97506f7307c9f64d9cc9ca24a5f3800b68748455e70418d0c0cd240c93ebae35
 DIST setuptools-44.0.0.zip 858893 BLAKE2B 
02ba2a838487ba9e80d9ca3b8598cecbec4d286f2734be439d2b73f3f7f0ca80e80ea71a0c2322093deb548503c82d6eb32b1585992979b053f14f49baa00baa
 SHA512 
bb48e7763d258e654472bc416d16ec8708eefa95d1eb03cb6e81b623fd636cefc51a0bd67887084ab0214e256e2030a8f655184c3b59ad6937abab6a6178f3a1
+DIST setuptools-45.0.0.zip 859461 BLAKE2B 
060cd64efb4ce67b931f5a5672222d2cb6e2bacb68edd50af5b14b8de95b5b9b7727b76b970084257ec9f3afdf4a7bf4acbc6223b6e355d033af3660dfe4f1aa
 SHA512 
d912d093866dfcf7b0e22ba2df51ab0d366c52bd5796f0aedfa0b1848abc80a2e30035897b83bed08b67d9d7d0fce4b0c4981c2a80196b8637c19f34ec269645

diff --git a/dev-python/setuptools/setuptools-45.0.0.ebuild 
b/dev-python/setuptools/setuptools-45.0.0.ebuild
new file mode 100644
index 00000000000..b3c6db3ab76
--- /dev/null
+++ b/dev-python/setuptools/setuptools-45.0.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       app-arch/unzip
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+               dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+               dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+               virtual/python-futures[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+PATCHES=(
+       # fix regression introduced by reinventing deprecated 'imp'
+       # https://github.com/pypa/setuptools/pull/1905
+       "${FILESDIR}"/setuptools-42.0.0-imp-fix.patch
+)
+
+python_prepare_all() {
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" pytest -vv ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to